## org.jvnet.maven.plugin.antrun
Class GraphRefFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.jvnet.maven.plugin.antrun.GraphFilter
              org.jvnet.maven.plugin.antrun.GraphRefFilter

All Implemented Interfaces:
  java.lang.Cloneable

    public class GraphRefFilter

extends GraphFilter

Obtains a graph stored by `GraphDefTask`.

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`children`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GraphRefFilter()`

Method Summary
`DependencyGraph` `process()`
`void` `setRefid(java.lang.String ref)`

Methods inherited from class org.jvnet.maven.plugin.antrun.GraphFilter
`add, evaluateChild, evaluateChild`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphRefFilter

    public GraphRefFilter()

Method Detail

### setRefid

    public void setRefid(java.lang.String ref)

### process

    public DependencyGraph process()

  Specified by:
    `process` in class `GraphFilter`

Copyright © 2011. All Rights Reserved.